Download StreamLab for Linux

System Requirements

The Blaze server (s-Server) can be installed on most Linux distributions. The graphical tools (StreamLab and s-Dashboard) are browser clients, and the platform IDE and admin module (s-Studio) is available for Windows as well as Linux.

  • A 64-bit version 2.6 or later Linux kernel distribution with Libc version 2.5 or later. Other Linux kernel versions are not supported. Tested Linux kernel distributions include:
  • CentOS 5.x
  • CentOS 6.x
  • CentOS 7.x
  • Redhat Enterprise Linux 5.x
  • Redhat Enterprise Linux 6.x
  • Redhat Enterprise Linux 7.x
  • Ubuntu 10.04 LTS (Lucid Lynx)
  • Ubuntu 12.04 LTS (Precise Pangolin)
  • Ubuntu 12.10 (Quantal Quetzal)
  • Ubuntu 13.04 (Raring Ringtail)
  • Ubuntu 14.04 LTS (Trusty Tahr)
  • Ubuntu 16.04 LTS (Xenial Xerus)

 

  • JDK (Java Development Kit) version 8. Earlier versions of Java are not supported. If the JAVA_HOME environment variable is not set or does not point to the JDK, the installer will prompt for its location. 64-bit Java is required for the 64-bit s-Server. If the JDK is not installed on your system, the Installer will attempt to download and install OpenJDK 8 for you.
  • 3G RAM
  • 2G available disk space
  • When running under VMWare, 3G physical RAM required on the guest system.

next steps